Associate Hierarchy Level

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/hierarchyLevel

In Luzmo all columns which deal with text values are of type hierarchy. On such a hierarchy column you can build a hierarchy out of your existing data values. To do so you first need to create hierarchy levels and associate them with a column. By associating hierarchy levels with a column we essentially define how many levels there are in the tree structure and define the metadata of these levels. Afterwards you can push hierarchy updates to the column to populate the tree structure using the hierarchy service .

Hierarchies are always built for a specific column and are therefore only connected to columns.

Request parametersResponse schema
id UUID

The unique identifier of the entity

level NUMBER

Numeric hierarchy level index.

name Multilingual string

Internationalized name of the hierarchy level.

cardinality NUMBER

Cardinality of the hierarchy level.

color STRING

Display color of the hierarchy level.

column_id STRING

Identifier of the column this hierarchy level belongs to.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Entity Modifier
Can be associated to:
Column
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "code": 200
}